Package org.apache.sis.coverage.grid

# Class IllegalGridGeometryException

Object
Throwable
Exception
RuntimeException
IllegalArgumentException
IllegalGridGeometryException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `DisjointExtentException`

public class IllegalGridGeometryException extends IllegalArgumentException
Thrown when the argument specified to a method or constructor would result in an invalid `GridGeometry`. This exception may have a `TransformException` as its cause, in which case the grid geometry failed to use a given "grid to CRS" transform over the given grid extent. Such failure may happen with non-linear transforms, but are less likely in the common case where the grid geometry uses a linear (or affine) "grid to CRS" transform.

Since:
  1.0
See Also:
  - Serialized Form

Defined in the `sis-feature` module

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IllegalGridGeometryException()`
  Constructs an exception with no detail message.
  `IllegalGridGeometryException(String message)`
  Constructs an exception with the specified detail message.
  `IllegalGridGeometryException(String message, Throwable cause)`
  Constructs an exception with the specified detail message and cause.
  `IllegalGridGeometryException(Throwable cause)`
  Constructs an exception with the specified cause.

- ## Method Summary

  ### Methods inherited from class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IllegalGridGeometryException

    public IllegalGridGeometryException()
    Constructs an exception with no detail message.

  - ### IllegalGridGeometryException

    public IllegalGridGeometryException(String message)
    Constructs an exception with the specified detail message.
    Parameters:
      `message` - the detail message.

  - ### IllegalGridGeometryException

    public IllegalGridGeometryException(Throwable cause)
    Constructs an exception with the specified cause.
    Parameters:
      `cause` - the cause for this exception.
    Since:
      1.1

  - ### IllegalGridGeometryException

    public IllegalGridGeometryException(String message, Throwable cause)
    Constructs an exception with the specified detail message and cause.
    Parameters:
      `message` - the detail message.
      `cause` - the cause for this exception.